Open CASCADE Technology: StepAP203_Array1OfCertifiedItem Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepAP203_Array1OfCertifiedItem Class Reference

`#include <StepAP203_Array1OfCertifiedItem.hxx>`

## Public Member Functions
| StepAP203_Array1OfCertifiedItem (const Standard_Integer Low, const Standard_Integer Up)
| StepAP203_Array1OfCertifiedItem (const StepAP203_CertifiedItem &Item, const Standard_Integer Low, const Standard_Integer Up)
void | Init (const StepAP203_CertifiedItem &V)
void | Destroy ()
| ~StepAP203_Array1OfCertifiedItem ()
Standard_Boolean | IsAllocated () const
const StepAP203_Array1OfCertifiedItem & | Assign (const StepAP203_Array1OfCertifiedItem &Other)
const StepAP203_Array1OfCertifiedItem & | operator= (const StepAP203_Array1OfCertifiedItem &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepAP203_CertifiedItem &Value)
const StepAP203_CertifiedItem & | Value (const Standard_Integer Index) const
const StepAP203_CertifiedItem & | operator() (const Standard_Integer Index) const
StepAP203_CertifiedItem & | ChangeValue (const Standard_Integer Index)
StepAP203_CertifiedItem & | operator() (const Standard_Integer Index)

## Constructor & Destructor Documentation

StepAP203_Array1OfCertifiedItem::StepAP203_Array1OfCertifiedItem | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

StepAP203_Array1OfCertifiedItem::StepAP203_Array1OfCertifiedItem | ( | const StepAP203_CertifiedItem & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

StepAP203_Array1OfCertifiedItem::~StepAP203_Array1OfCertifiedItem | ( |  | ) |
| inline

## Member Function Documentation

const StepAP203_Array1OfCertifiedItem& StepAP203_Array1OfCertifiedItem::Assign | ( | const StepAP203_Array1OfCertifiedItem & | Other | ) |

StepAP203_CertifiedItem& StepAP203_Array1OfCertifiedItem::ChangeValue | ( | const Standard_Integer | Index | ) |

void StepAP203_Array1OfCertifiedItem::Destroy | ( |  | ) |

void StepAP203_Array1OfCertifiedItem::Init | ( | const StepAP203_CertifiedItem & | V | ) |

Standard_Boolean StepAP203_Array1OfCertifiedItem::IsAllocated | ( |  | ) | const

Standard_Integer StepAP203_Array1OfCertifiedItem::Length | ( |  | ) | const

Standard_Integer StepAP203_Array1OfCertifiedItem::Lower | ( |  | ) | const

const StepAP203_CertifiedItem& StepAP203_Array1OfCertifiedItem::operator() | ( | const Standard_Integer | Index | ) | const
| inline

StepAP203_CertifiedItem& StepAP203_Array1OfCertifiedItem::operator() | ( | const Standard_Integer | Index | ) |
| inline

const StepAP203_Array1OfCertifiedItem& StepAP203_Array1OfCertifiedItem::operator= | ( | const StepAP203_Array1OfCertifiedItem & | Other | ) |
| inline

void StepAP203_Array1OfCertifiedItem::SetValue | ( | const Standard_Integer | Index,
|  | const StepAP203_CertifiedItem & | Value
| ) |  |

Standard_Integer StepAP203_Array1OfCertifiedItem::Upper | ( |  | ) | const

const StepAP203_CertifiedItem& StepAP203_Array1OfCertifiedItem::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- StepAP203_Array1OfCertifiedItem.hxx